import Sortable from './sortable';
declare class Queryable {
    rData: any[];
    entityType: any;
    constructor(data?: any[], { entityType }?: {
        entityType?: (data: any) => any;
    });
    filterBy(options: any): Queryable;
    sortBy(field: any, asc?: any): Queryable;
    sortOrder(field: any, asc?: any): Sortable;
    toArray(derived?: boolean): any[];
    toObject(key: any, value: any, defaultValue?: string): {};
}
export default Queryable;
